<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:pars="pars" xmlns:dap="http://skat.dk/xml/schemas/dap/2007/10/10/" xmlns:tsi="http://skat.dk/ntse/2007/05/31/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:output method="text" indent="no" omit-xml-declaration="yes" encoding="UTF-8" media-type="text"/>
	<!-- DAP XSLT version 2.2 for "AngivelseAktionTekster" -->
	<xsl:template name="separator">
		<xsl:if test="position() &gt;1">, </xsl:if>
	</xsl:template>
	<xsl:template name="AngivelseAktionTekster">
		<xsl:choose>
			<xsl:when test=".='BetalAngivelse'">
				<xsl:text>Betal angivelse</xsl:text>
			</xsl:when>
			<xsl:when test=".='IndtastAngivelse'">
				<xsl:text>Indtast angivelse</xsl:text>
			</xsl:when>
			<xsl:when test=".='IndtastUdbyttePerson'">
				<xsl:text>Indtast udbytteperson</xsl:text>
			</xsl:when>
			<xsl:when test=".='IndtastUdbytteSelskaber'">
				<xsl:text>Indtast udbytteselskab</xsl:text>
			</xsl:when>
			<xsl:when test=".='NulAngivelse'">
				<xsl:text>Nulangivelse</xsl:text>
			</xsl:when>
			<xsl:when test=".='RetAngivelse'">
				<xsl:text>Ret angivelse</xsl:text>
			</xsl:when>
			<xsl:when test=".='RetSletAngivelse'">
				<xsl:text>Ret/slet angivelse</xsl:text>
			</xsl:when>
			<xsl:when test=".='RetUdbyttePerson'">
				<xsl:text>Ret udbytteperson</xsl:text>
			</xsl:when>
			<xsl:when test=".='RetUdbytteSelskaber'">
				<xsl:text>Ret udbytteselskab</xsl:text>
			</xsl:when>
			<xsl:when test=".='VisAngivelse'">
				<xsl:text>Vis angivelse</xsl:text>
			</xsl:when>
			<xsl:when test=".='VisHovedAktionær'">
				<xsl:text>Vis hovedaktionær</xsl:text>
			</xsl:when>
			<xsl:when test=".='VisSpillerstederOgSpecifikation'">
				<xsl:text>Vis spillesteder og specifikationer</xsl:text>
			</xsl:when>
			<xsl:when test=".='VisUdbyttePerson'">
				<xsl:text>Vis udbytteperson</xsl:text>
			</xsl:when>
			<xsl:when test=".='VisUdbytteSelskaber'">
				<xsl:text>Vis udbytteselskab</xsl:text>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="tsi:AngivelseAktionTekster">
		<xsl:call-template name="AngivelseAktionTekster"/>
	</xsl:template>
	<xsl:template match="dap:DapSvar">
		<xsl:for-each select=".//dap:Begreber[preceding-sibling::dap:BegrebsDbID = '{http://skat.dk/ntse/2007/05/31/}AngivelseAktionTekster']/dap:NestetBegreb/dap:VisningsVaerdi">
			<xsl:call-template name="separator"/>
			<xsl:apply-templates/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
